Tag Parser: TagParser::VersionNotSupportedException Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::VersionNotSupportedException Class Reference

The exception that is thrown when an operation fails because the detected or specified version is not supported by the implementation. More...

`#include <exceptions.h>`

Inheritance diagram for TagParser::VersionNotSupportedException:
[legend]
Collaboration diagram for TagParser::VersionNotSupportedException:
[legend]

## Public Member Functions
| VersionNotSupportedException () noexcept
| Constructs a new exception.
virtual | ~VersionNotSupportedException () noexcept
| Destroys the exception.
virtual const char * | what () const noexcept
| Returns a C-style character string describing the cause of the exception.
Public Member Functions inherited from TagParser::Failure
| Failure () noexcept
| Constructs a new exception.
virtual | ~Failure () noexcept
| Destroys the exception.

## Detailed Description

The exception that is thrown when an operation fails because the detected or specified version is not supported by the implementation.

Definition at line 53 of file exceptions.h.

## Constructor & Destructor Documentation

## ◆ VersionNotSupportedException()

TagParser::VersionNotSupportedException::VersionNotSupportedException | ( |  | ) |
| noexcept

Constructs a new exception.

Definition at line 185 of file exceptions.cpp.

## ◆ ~VersionNotSupportedException()

TagParser::VersionNotSupportedException::~VersionNotSupportedException | ( |  | ) |
| virtualnoexcept

Destroys the exception.

Definition at line 192 of file exceptions.cpp.

## Member Function Documentation

## ◆ what()

const char * TagParser::VersionNotSupportedException::what | ( |  | ) | const
| virtualnoexcept

Returns a C-style character string describing the cause of the exception.

Reimplemented from TagParser::Failure.

Definition at line 199 of file exceptions.cpp.

The documentation for this class was generated from the following files:

- exceptions.h
- exceptions.cpp